#include <iostream>
#include <fstream>
#include <cstdlib>

using namespace std;

int 
main(int argc, char ** argv)
{
   if(argc != 2) {
      cerr << "usage: " << argv[0] << " <file>" << endl;
      exit(1);
   }
   ifstream fin(argv[1], ios::in | ios::binary);
   if(fin) {
      char ch = fin.get();
      while(fin) {
         cout << (int)ch << "," << endl;
         ch = fin.get();
      }
      fin.close();
   }
   return 0;
}
